# Uses of Interface
org.apache.zookeeper.server.ZooKeeperServerListener

Packages that use ZooKeeperServerListener
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum

## Uses of ZooKeeperServerListener in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that return ZooKeeperServerListener
Modifier and Type
Method
Description
`ZooKeeperServerListener`
ZooKeeperServer.`getZooKeeperServerListener()`
Constructors in org.apache.zookeeper.server with parameters of type ZooKeeperServerListener
Modifier
Constructor
Description
``
`SessionTrackerImpl(SessionTracker.SessionExpirer expirer, ConcurrentMap<Long,Integer> sessionsWithTimeout, int tickTime, long serverId, ZooKeeperServerListener listener)`
``
`ZooKeeperCriticalThread(String threadName, ZooKeeperServerListener listener)`

## Uses of ZooKeeperServerListener in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum with parameters of type ZooKeeperServerListener
Modifier and Type
Method
Description
`void`
UpgradeableSessionTracker.`createLocalSessionTracker(SessionTracker.SessionExpirer expirer, int tickTime, long id, ZooKeeperServerListener listener)`
Constructors in org.apache.zookeeper.server.quorum with parameters of type ZooKeeperServerListener
Modifier
Constructor
Description
``
`CommitProcessor(RequestProcessor nextProcessor, String id, boolean matchSyncs, ZooKeeperServerListener listener)`
``
`LeaderSessionTracker(SessionTracker.SessionExpirer expirer, ConcurrentMap<Long,Integer> sessionsWithTimeouts, int tickTime, long id, boolean localSessionsEnabled, ZooKeeperServerListener listener)`
``
`LearnerSessionTracker(SessionTracker.SessionExpirer expirer, ConcurrentMap<Long,Integer> sessionsWithTimeouts, int tickTime, long id, boolean localSessionsEnabled, ZooKeeperServerListener listener)`
``
`LocalSessionTracker(SessionTracker.SessionExpirer expirer, ConcurrentMap<Long,Integer> sessionsWithTimeouts, int tickTime, long id, ZooKeeperServerListener listener)`